xine-lib: qtv_decoder_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
qtv_decoder_s Struct Reference

## Data Fields
video_decoder_t | video_decoder
xine_stream_t * | stream
HINSTANCE | qtml_dll
xine_bmiheader | bih
double | ratio
int | codec_initialized
uint8_t * | plane
uint8_t | data [1024 *1024]
int | data_len
ComponentInstance | ci
CodecCapabilities | codeccap
CodecDecompressParams | decpar
Rect | OutBufferRect
GWorldPtr | OutBufferGWorld
ImageDescriptionHandle | framedescHandle
Component(* | FindNextComponent )(Component prev, ComponentDescription *desc)
OSErr(* | GetComponentInfo )(Component prev, ComponentDescription *desc, Handle h1, Handle h2, Handle h3)
long(* | CountComponents )(ComponentDescription *desc)
OSErr(* | InitializeQTML )(long flags)
OSErr(* | EnterMovies )(void)
ComponentInstance(* | OpenComponent )(Component c)
ComponentResult(* | ImageCodecInitialize )(ComponentInstance ci, ImageSubCodecDecompressCapabilities *cap)
ComponentResult(* | ImageCodecBeginBand )(ComponentInstance ci, CodecDecompressParams *params, ImageSubCodecDecompressRecord *drp, long flags)
ComponentResult(* | ImageCodecDrawBand )(ComponentInstance ci, ImageSubCodecDecompressRecord *drp)
ComponentResult(* | ImageCodecEndBand )(ComponentInstance ci, ImageSubCodecDecompressRecord *drp, OSErr result, long flags)
ComponentResult(* | ImageCodecGetCodecInfo )(ComponentInstance ci, CodecInfo *info)
ComponentResult(* | ImageCodecPreDecompress )(ComponentInstance ci, CodecDecompressParams *params)
ComponentResult(* | ImageCodecBandDecompress )(ComponentInstance ci, CodecDecompressParams *params)
PixMapHandle(* | GetGWorldPixMap )(GWorldPtr offscreenGWorld)
OSErr(* | QTNewGWorldFromPtr )(GWorldPtr *gw, OSType pixelFormat, const Rect *boundsRect, CTabHandle cTable, void *aGDevice, GWorldFlags flags, void *baseAddr, long rowBytes)
OSErr(* | NewHandleClear )(Size byteCount)
ldt_fs_t * | ldt_fs

## Field Documentation

## ◆ bih

xine_bmiheader qtv_decoder_s::bih

## ◆ ci

ComponentInstance qtv_decoder_s::ci

## ◆ codec_initialized

int qtv_decoder_s::codec_initialized

## ◆ codeccap

CodecCapabilities qtv_decoder_s::codeccap

## ◆ CountComponents

long(* qtv_decoder_s::CountComponents) (ComponentDescription *desc)

## ◆ data

uint8_t qtv_decoder_s::data[1024 *1024]

## ◆ data_len

int qtv_decoder_s::data_len

## ◆ decpar

CodecDecompressParams qtv_decoder_s::decpar

## ◆ EnterMovies

OSErr(* qtv_decoder_s::EnterMovies) (void)

## ◆ FindNextComponent

Component(* qtv_decoder_s::FindNextComponent) (Component prev, ComponentDescription *desc)

## ◆ framedescHandle

ImageDescriptionHandle qtv_decoder_s::framedescHandle

## ◆ GetComponentInfo

OSErr(* qtv_decoder_s::GetComponentInfo) (Component prev, ComponentDescription *desc, Handle h1, Handle h2, Handle h3)

## ◆ GetGWorldPixMap

PixMapHandle(* qtv_decoder_s::GetGWorldPixMap) (GWorldPtr offscreenGWorld)

## ◆ ImageCodecBandDecompress

ComponentResult(* qtv_decoder_s::ImageCodecBandDecompress) (ComponentInstance ci, CodecDecompressParams *params)

## ◆ ImageCodecBeginBand

ComponentResult(* qtv_decoder_s::ImageCodecBeginBand) (ComponentInstance ci, CodecDecompressParams *params, ImageSubCodecDecompressRecord *drp, long flags)

## ◆ ImageCodecDrawBand

ComponentResult(* qtv_decoder_s::ImageCodecDrawBand) (ComponentInstance ci, ImageSubCodecDecompressRecord *drp)

## ◆ ImageCodecEndBand

ComponentResult(* qtv_decoder_s::ImageCodecEndBand) (ComponentInstance ci, ImageSubCodecDecompressRecord *drp, OSErr result, long flags)

## ◆ ImageCodecGetCodecInfo

ComponentResult(* qtv_decoder_s::ImageCodecGetCodecInfo) (ComponentInstance ci, CodecInfo *info)

## ◆ ImageCodecInitialize

ComponentResult(* qtv_decoder_s::ImageCodecInitialize) (ComponentInstance ci, ImageSubCodecDecompressCapabilities *cap)

## ◆ ImageCodecPreDecompress

ComponentResult(* qtv_decoder_s::ImageCodecPreDecompress) (ComponentInstance ci, CodecDecompressParams *params)

## ◆ InitializeQTML

OSErr(* qtv_decoder_s::InitializeQTML) (long flags)

## ◆ ldt_fs

ldt_fs_t* qtv_decoder_s::ldt_fs

## ◆ NewHandleClear

OSErr(* qtv_decoder_s::NewHandleClear) (Size byteCount)

## ◆ OpenComponent

ComponentInstance(* qtv_decoder_s::OpenComponent) (Component c)

## ◆ OutBufferGWorld

GWorldPtr qtv_decoder_s::OutBufferGWorld

## ◆ OutBufferRect

Rect qtv_decoder_s::OutBufferRect

## ◆ plane

uint8_t* qtv_decoder_s::plane

## ◆ qtml_dll

HINSTANCE qtv_decoder_s::qtml_dll

## ◆ QTNewGWorldFromPtr

OSErr(* qtv_decoder_s::QTNewGWorldFromPtr) (GWorldPtr *gw, OSType pixelFormat, const Rect *boundsRect, CTabHandle cTable, void *aGDevice, GWorldFlags flags, void *baseAddr, long rowBytes)

## ◆ ratio

double qtv_decoder_s::ratio

## ◆ stream

xine_stream_t* qtv_decoder_s::stream

## ◆ video_decoder

video_decoder_t qtv_decoder_s::video_decoder

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/libw32dll/qt_decoder.c